List Deals
curl --request GET \
--url https://api.mayerex.com/api/deals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mayerex.com/api/deals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mayerex.com/api/deals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 123,
"pages": 123,
"count": 123,
"deals": [
{
"id": 123,
"owner": {
"id": 123,
"userId": 123,
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"teams": "<string>",
"hubspotTeamId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"projectManager": {
"id": 123,
"userId": 123,
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"teams": "<string>",
"hubspotTeamId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"postInstallEngineer": {
"id": 123,
"userId": 123,
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"teams": "<string>",
"hubspotTeamId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"postInstallProjectManager": {
"id": 123,
"userId": 123,
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"teams": "<string>",
"hubspotTeamId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"ixCoordinator": {
"id": 123,
"userId": 123,
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"teams": "<string>",
"hubspotTeamId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"permitCoordinator": {
"id": 123,
"userId": 123,
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"teams": "<string>",
"hubspotTeamId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"dealname": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"coordinates": "<string>",
"state": "<string>",
"streetAddress": "<string>",
"city": "<string>",
"zipCode": "<string>",
"primaryPhone": "<string>",
"nameOnUb": "<string>",
"utilityName": "<string>",
"stage": "<string>",
"stageId": "<string>",
"pipelineId": "<string>",
"pipeline": "<string>",
"amount": 123,
"totalPpw": 123,
"basePpw": 123,
"adderPpw": "<string>",
"adderCost": 123,
"adders": "<string>",
"systemSize": "<string>",
"roofType": "<string>",
"auroraProjectId": "<string>",
"enerfloProjectId": "<string>",
"opensolarProjectId": "<string>",
"proposalLink": "<string>",
"battery": "<string>",
"inverterType": "<string>",
"moduleType": "<string>",
"numberOfBatteries": "<string>",
"numberOfInverters": "<string>",
"numberOfModules": "<string>",
"closerName": "<string>",
"setterName": "<string>",
"dealer": "<string>",
"lender": "<string>",
"loanAmount": "<string>",
"hoaName": "<string>",
"hoaEmail": "<string>",
"hoaNumber": "<string>",
"notes": "<string>",
"inspectionNotes": "<string>",
"reInspectionResults": "<string>",
"inspectionResults": "<string>",
"hasBattery": true,
"hasChangesToAdders": true,
"hasHoa": true,
"inspectionRequired": true,
"installCompleted": true,
"m2Approved": true,
"hasOutstandingItems": true,
"permitRequired": true,
"plansetMatchesAsBuilt": true,
"scopeOfWorkPacket": true,
"hicAgreement": "<string>",
"lastModified": "2023-11-07T05:31:56Z",
"createDate": "2023-11-07T05:31:56Z",
"timeInCurrentStage": "2023-11-07T05:31:56Z",
"cadCompleted": "2023-11-07T05:31:56Z",
"cadRequested": "2023-11-07T05:31:56Z",
"engineeringCompleted": "2023-11-07T05:31:56Z",
"engineeringRequested": "2023-11-07T05:31:56Z",
"expectedPermitDeliveryDate": "2023-11-07T05:31:56Z",
"fundingSubmitted": "2023-11-07T05:31:56Z",
"hoaApprovedDate": "2023-11-07T05:31:56Z",
"inspectionRequested": "2023-11-07T05:31:56Z",
"installComplete": "2023-11-07T05:31:56Z",
"installedScheduled": "2023-11-07T05:31:56Z",
"notesLastUpdated": "2023-11-07T05:31:56Z",
"notesNextActivityDate": "2023-11-07T05:31:56Z",
"ntpApproved": "2023-11-07T05:31:56Z",
"ntpRequested": "2023-11-07T05:31:56Z",
"permitReceived": "2023-11-07T05:31:56Z",
"permitSubmitted": "2023-11-07T05:31:56Z",
"reInspectionRequested": "2023-11-07T05:31:56Z",
"reInstallScheduled": "2023-11-07T05:31:56Z",
"reSignDate": "2023-11-07T05:31:56Z",
"siteSurveyCompleted": "2023-11-07T05:31:56Z",
"siteSurveyRequested": "2023-11-07T05:31:56Z",
"redesignCompleteDate": "2023-11-07T05:31:56Z"
}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
"<string>"
]
}Deals
List Deals
This endpoint fetches a paginated list of deals.
GET
/
api
/
deals
List Deals
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
This property is for internal use only and will not work for Partners.
The page number to fetch.
Required range:
1 <= x <= 2147483647The number of records to fetch.
Required range:
1 <= x <= 25Response
OK
The page number of the current page
The number of pages available in this query
The number of total records available in this query
The list of deals for the current page in the query
Show child attributes
Show child attributes
⌘I

